## adept 1.0.1

=== DESCRIPTION ===
Package: adept
Type: Package
Title: Adaptive Empirical Pattern Transformation
Version: 1.0.1
Authors@R: c(
  person("Marta", "Karas", email = "marta.karass@gmail.com", role = c("aut", "cre"), 
      comment = c(ORCID = "0000-0001-5889-3970")),
  person("Jacek", "Urbanek", role = c("aut"), 
      comment = c(ORCID = "0000-0002-1890-8899")),
  person("Ciprian", "Crainiceanu", role = c("aut")),
  person("John", "Muschelli", role = c("ctb"), 
      comment = c(ORCID = "0000-0001-6469-1750")),
  person("Adi", "Gherman", role = c("ctb"))
  )
Description: Designed for optimal use in performing fast, 
    accurate walking strides segmentation from high-density 
    data collected from a wearable accelerometer worn 
    during continuous walking activity.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
URL: https://github.com/martakarass/adept
BugReports: https://github.com/martakarass/adept/issues
Depends: R (>= 2.10)
Suggests: knitr, rmarkdown, testthat, ggplot2, lubridate, reshape2,
        gridExtra, spelling, cluster, adeptdata
VignetteBuilder: knitr
Imports: runstats, tibble, dplyr, future, magrittr
Language: en-US
NeedsCompilation: no
Packaged: 2019-05-22 22:40:19 UTC; martakaras
Author: Marta Karas [aut, cre] (<https://orcid.org/0000-0001-5889-3970>),
  Jacek Urbanek [aut] (<https://orcid.org/0000-0002-1890-8899>),
  Ciprian Crainiceanu [aut],
  John Muschelli [ctb] (<https://orcid.org/0000-0001-6469-1750>),
  Adi Gherman [ctb]
Maintainer: Marta Karas <marta.karass@gmail.com>
Repository: CRAN
Date/Publication: 2019-05-24 14:30:03 UTC

## adept 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: adept
 Type: Package
 Title: Adaptive Empirical Pattern Transformation
-Version: 1.0.1
+Version: 1.1.2
 Authors@R: c(
   person("Marta", "Karas", email = "marta.karass@gmail.com", role = c("aut", "cre"), 
       comment = c(ORCID = "0000-0001-5889-3970")),
@@ -26,10 +26,10 @@
 Suggests: knitr, rmarkdown, testthat, ggplot2, lubridate, reshape2,
         gridExtra, spelling, cluster, adeptdata
 VignetteBuilder: knitr
-Imports: runstats, tibble, dplyr, future, magrittr
+Imports: tibble, dplyr, future, magrittr, dvmisc
 Language: en-US
 NeedsCompilation: no
-Packaged: 2019-05-22 22:40:19 UTC; martakaras
+Packaged: 2019-06-18 06:20:16 UTC; martakaras
 Author: Marta Karas [aut, cre] (<https://orcid.org/0000-0001-5889-3970>),
   Jacek Urbanek [aut] (<https://orcid.org/0000-0002-1890-8899>),
   Ciprian Crainiceanu [aut],
@@ -37,4 +37,4 @@
   Adi Gherman [ctb]
 Maintainer: Marta Karas <marta.karass@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-05-24 14:30:03 UTC
+Date/Publication: 2019-06-18 06:50:03 UTC

## adept 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: adept
 Type: Package
 Title: Adaptive Empirical Pattern Transformation
-Version: 1.1.2
+Version: 1.2
 Authors@R: c(
   person("Marta", "Karas", email = "marta.karass@gmail.com", role = c("aut", "cre"), 
       comment = c(ORCID = "0000-0001-5889-3970")),
@@ -19,17 +19,17 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 URL: https://github.com/martakarass/adept
 BugReports: https://github.com/martakarass/adept/issues
 Depends: R (>= 2.10)
 Suggests: knitr, rmarkdown, testthat, ggplot2, lubridate, reshape2,
-        gridExtra, spelling, cluster, adeptdata
+        gridExtra, spelling, cluster, adeptdata, covr
 VignetteBuilder: knitr
-Imports: tibble, dplyr, future, magrittr, dvmisc
+Imports: dplyr, magrittr, dvmisc, parallel, pracma
 Language: en-US
 NeedsCompilation: no
-Packaged: 2019-06-18 06:20:16 UTC; martakaras
+Packaged: 2021-01-31 23:38:16 UTC; martakaras
 Author: Marta Karas [aut, cre] (<https://orcid.org/0000-0001-5889-3970>),
   Jacek Urbanek [aut] (<https://orcid.org/0000-0002-1890-8899>),
   Ciprian Crainiceanu [aut],
@@ -37,4 +37,4 @@
   Adi Gherman [ctb]
 Maintainer: Marta Karas <marta.karass@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-06-18 06:50:03 UTC
+Date/Publication: 2021-02-01 16:20:02 UTC

## adept 2.1.1ubuntu3

=== adept/debian/changelog ===
adept (2.1.1) unstable; urgency=low

  * Add dependency on debtags to adept-common, finally closes: #359065,
  * fix crash when previewing changes, closes: #376784,
  * add conflicts+replaces to adept-common for adept << 2.1, closes: #377149.

 -- Peter Rockai <me@mornfall.net>  Mon, 17 Jul 2006 11:35:58 +0200

adept (2.1) unstable; urgency=low

  * Release 2.1 Cruiser,
  * rename the source package to adept,
  * split up the package per component,
  * improve startup perception (early GUI, lazy init),
  * user can now skip the fetch lists part of updater.

 -- Peter Rockai <me@mornfall.net>  Thu, 25 May 2006 20:58:11 +0200

ept (2.0) unstable; urgency=low

  * Release 2.0 Destroyer,
  * reduce amount of debug output in notifier.

 -- Peter Rockai <me@mornfall.net>  Wed, 24 May 2006 12:47:36 +0200

ept (1.92) unstable; urgency=low

  * Release 1.92 Ironclad (release candidate),
  * bunch of crash fixes,
  * fix the annoying "konsole starts out 20 columns wide, it makes output
    unreadable and freaks out debconf" bug,
  * add purge/reinstall icons (courtesy of Anthony Mercatante),
  * fix few other minor issues,
  * try to work around scim breakage.

 -- Peter Rockai <me@mornfall.net>  Tue,  9 May 2006 23:17:53 +0200

ept (1.91) unstable; urgency=low

  * Release 1.91 Swarm (beta 2),
  * includes adept_batch for non-interactive invocation of package
    install/remove via adept,
  * fix few crash/hang bugs (application/octet-stream hang, keeping data
    invalidated by cache reload),
  * fix a grave misbehaviour bug (spurious package marking),
  * change the button layout of wizard apps (2 buttons, right-aligned),
  * fix few less severe (but possibly annoying) bugs.

 -- Peter Rockai <me@mornfall.net>  Sat, 25 Mar 2006 02:54:34 +0100

ept (1.90.1) unstable; urgency=low

  * Upload the beta version to unstable, closes: #355628,
  * fix a bug in TagChooser that would cause reliable crashes with
    new libapt-front (and possibly infrequent ones with old one),
  * rebuild with new libapt-front.

 -- Peter Rockai <me@mornfall.net>  Mon, 13 Mar 2006 23:32:38 +0100

ept (1.90) unstable; urgency=low

  * Release 1.90 Conquest (beta 1),
  * finished Adept Installer:
    - implemented filtering,
    - implemented unsupported/non-free checkboxes,
    - implemented warning about multiple programs in single package removal,
    - implemented extended description,
  * implemented version constraints in package relation view,
  * fixed bunch of crashes and other bugs.

 -- Peter Rockai <me@mornfall.net>  Sun, 19 Feb 2006 22:06:23 +0100

ept (1.89) unstable; urgency=low

  * Release 1.89 Viking (alpha 2),
  * speed and interactivity improvements,
  * better statusbar,
  * ability to browse packages in updater,
  * greatly improved commit progress reporter,
  * usability fixes,
  * completion of update notifier,
  * add actions on packages to package browser,
  * package file list,
  * i18n everywhere.

 -- Peter Rockai <me@mornfall.net>  Sun, 12 Feb 2006 21:18:17 +0100

ept (1.88.5) unstable; urgency=low

  * Add a missing dependency on konsole.

 -- Peter Rockai <me@mornfall.net>  Wed,  1 Feb 2006 21:46:20 +0100

ept (1.88.4) unstable; urgency=low

  * Fix spontaneous death of update fetch in adept-updater,
  * fix crashes with update in both updater/manager with invalid entries
    (404, unreachable) in sources.list,
  * do not show error message when user cancels operation in updater,
  * reduce debugging noise in the embedded konsole part,
  * really show installed and candidate version in package info instead of
    just candidate twice.

 -- Peter Rockai <me@mornfall.net>  Thu, 26 Jan 2006 08:29:08 +0100

ept (1.88.3) unstable; urgency=low

  * Initial upload to Debian, closes: #341204
  * update libtool, update build system to reduce dependency creep.

 -- Isaac Clerencia <isaac@debian.org>  Tue, 24 Jan 2006 21:04:07 +0100

ept (1.88.2) unstable; urgency=low

  * Remove kde_terminal_interface.h and update debian/copyright accordingly,
  * add icons licenses to debian/copyright,
  * build-depend on kdelibs4-dev >= 3.5.0.

 -- Peter Rockai <me@mornfall.net>  Tue, 24 Jan 2006 18:10:36 +0100

ept (1.88.1) experimental; urgency=low

  * An intermediate version -- 1.88.1 Wibble (alpha 1.5),
  * hopefully fix the memory corruption bug from alpha,
  * fix debian/copyright and some of the source files,
  * fix height of the next button in adept-updater,
  * slightly improve usability of quick filter (enter starts filtering,
    timeout set to 1s).

 -- Peter Rockai <me@mornfall.net>  Mon, 23 Jan 2006 12:13:38 +0100

ept (1.88) experimental; urgency=low

  * Alpha version (codename Scvrnkls)
  * improved filtering UI,
  * new package details browser (to be finished),
  * update notifier,
  * progress bar to go with konsole,
  * interruptible download,
  * purge and reinstall,
  * and some bugfixes.

 -- Peter Rockai <me@mornfall.net>  Tue, 20 Dec 2005 21:35:24 +0100

ept (1.0) experimental; urgency=low

  * Final release.
  * Fix the download hanging at "downloading (100%)" instead of "done (100%)"
  * Fix .desktop files
  * Fix a bug where adept fails to reopen cache when commit fails

 -- Peter Rockai <me@mornfall.net>  Sat,  8 Oct 2005 23:23:25 +0200

ept (0.5) experimental; urgency=low

  * Release candidate.
  * Application icon.
  * Fix several crashes and unhandled exceptions.
  * Report progress on various operations.
  * Support installation media changing.
  * Fix filter summaries (the short/collapsed view of a filter).

 -- Peter Rockai <me@mornfall.net>  Thu, 29 Sep 2005 17:44:25 +0200

ept (0.4.1) experimental; urgency=low

  * Don't export libept. Saves headaches.

 -- Peter Rockai <me@mornfall.net>  Mon, 12 Sep 2005 11:53:32 +0200

ept (0.4) experimental; urgency=low

  * Another beta release.
  * Port to libapt-front 0.3.
  * Easy Tag filter.
  * Ship own copies of nuvola icons.
  * Fix segfaulting extenders.
  * Use kdesu for .desktop entries.


=== debian/changelog ===
adept (2.1.1ubuntu3) edgy; urgency=low

  * Add kubuntu_01_enable_sources_editor.diff to force sources editor
    to be enabled, fixes malone No 62610

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Oct 2006 11:39:23 +0100

adept (2.1.1ubuntu2) edgy; urgency=low

  * rebuild against latest libapt-front in ubuntu to get
    translated package descriptions

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Aug 2006 16:08:17 +0200

adept (2.1.1ubuntu1) edgy; urgency=low

  * Add adept-batch package for adept_batch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Jul 2006 15:51:31 +0100

=== adept/debian/control ===
Source: adept
Section: kde
Priority: optional
Maintainer: Peter Rockai <me@mornfall.net>
Uploaders: Isaac Clerencia <isaac@debian.org>
Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.3.9), libapt-front-dev (<< 0.4), libtool, kdelibs4-dev (>= 3.5.0)
Standards-Version: 3.7.2.0

Package: adept
Section: kde
Depends: adept-manager, adept-installer, adept-updater, adept-notifier
Architecture: all
Description: package management suite for KDE
 These packages belong to the adept suite:
  * adept-manager - package manager
  * adept-installer - application manager
  * adept-updater - system upgrade wizard
  * adept-notifier - systray notification of available updates

Package: adept-common
Section: kde
Depends: apt-index-watcher, debtags (>= 1.5.5), konsole (>= 3.5.0), ${shlibs:Depends}
Replaces: adept (<< 2.1)
Conflicts: adept (<< 2.1)
Architecture: all
Description: package manager for KDE -- common files
 Icons and other common files for all adept components.

Package: adept-manager
Section: kde
Depends: adept-common, ${shlibs:Depends}
Recommends: libqt-perl
Architecture: any
Description: package manager for KDE
 Adept Manager is a graphical user interface for package management.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages (also using debtags)
  * Perform smart system upgrades
  * Edit the list of used repositories (sources.list)
  * Configure packages through the debconf system
 .
 Please also install libqt-perl if you want the KDE Debconf frontend
 to function.

Package: adept-installer
Section: kde
Depends: adept-common, app-install-data, ${shlibs:Depends}
Recommends: libqt-perl
Architecture: any
Description: simple user interface for application management (for KDE)
 Adept Installer presents a list of applications available through the
 Advanced Package Tool (APT). An application is considered a package
 that contains a .desktop file for use with KDE, GNOME or other
 desktop environment.
 .
 Please also install libqt-perl if you want the KDE Debconf frontend
 to function.

Package: adept-updater
Section: kde
Depends: adept-common, ${shlibs:Depends}
Recommends: libqt-perl
Architecture: any
Description: system update tool for KDE
 Adept Updater provides a simple wizard-style user interface to system
 upgrades. It uses same algorithms as apt-get dist-upgrade.
 .
 Please also install libqt-perl if you want the KDE Debconf frontend
 to function.

Package: adept-notifier
Section: kde
Depends: ${shlibs:Depends}, adept-updater
Architecture: any
Description: system tray notifier of available system updates
 Adept Notifier provides a system tray icon notifying the user of
 available updates.  It will run Adept Updater for the user when
 clicked.

=== debian/control ===
Source: adept
Section: kde
Priority: optional
Maintainer: Peter Rockai <me@mornfall.net>
Uploaders: Isaac Clerencia <isaac@debian.org>
Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.3.9ubuntu1), libapt-front-dev (<< 0.4), libtool, kdelibs4-dev (>= 3.5.0)
Standards-Version: 3.7.2.0

Package: adept
Section: kde
Depends: adept-manager, adept-installer, adept-updater, adept-notifier, adept-batch
Architecture: all
Description: package management suite for KDE
 These packages belong to the adept suite:
  * adept-manager - package manager
  * adept-installer - application manager
  * adept-updater - system upgrade wizard
  * adept-notifier - systray notification of available updates

Package: adept-common
Section: kde
Depends: apt-index-watcher, debtags (>= 1.5.5), konsole (>= 3.5.0), ${shlibs:Depends}
Replaces: adept (<< 2.1)
Conflicts: adept (<< 2.1)
Architecture: all
Description: package manager for KDE -- common files
 Icons and other common files for all adept components.

Package: adept-manager
Section: kde
Depends: adept-common, ${shlibs:Depends}
Recommends: libqt-perl
Architecture: any
Description: package manager for KDE
 Adept Manager is a graphical user interface for package management.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages (also using debtags)
  * Perform smart system upgrades
  * Edit the list of used repositories (sources.list)
  * Configure packages through the debconf system
 .
 Please also install libqt-perl if you want the KDE Debconf frontend
 to function.

Package: adept-installer
Section: kde
Depends: adept-common, app-install-data, ${shlibs:Depends}
Recommends: libqt-perl
Architecture: any
Description: simple user interface for application management (for KDE)
 Adept Installer presents a list of applications available through the
 Advanced Package Tool (APT). An application is considered a package
 that contains a .desktop file for use with KDE, GNOME or other
 desktop environment.
 .
 Please also install libqt-perl if you want the KDE Debconf frontend
 to function.

Package: adept-updater
Section: kde
Depends: adept-common, ${shlibs:Depends}
Recommends: libqt-perl
Architecture: any
Description: system update tool for KDE
 Adept Updater provides a simple wizard-style user interface to system
 upgrades. It uses same algorithms as apt-get dist-upgrade.
 .
 Please also install libqt-perl if you want the KDE Debconf frontend
 to function.

Package: adept-notifier
Section: kde
Depends: ${shlibs:Depends}, adept-updater
Architecture: any
Description: system tray notifier of available system updates
 Adept Notifier provides a system tray icon notifying the user of
 available updates.  It will run Adept Updater for the user when
 clicked.

Package: adept-batch
Section: kde
Depends: ${shlibs:Depends}, adept-manager
Architecture: any
Description: command line install for Adept
 Adept Batch lets you install packages with Adept from the
 command line.  It is intended for shell scripts and being run
 by external applications.

## adept 2.1.1ubuntu3.4

=== debian/changelog ===
adept (2.1.1ubuntu3.4) edgy-updates; urgency=low

  * Upload to edgy-updates
    - https://launchpad.net/bugs/84717
    - Tested by: Dax Solomon Umaming, Tom Shaw, Tom Albers, Legolas,
      Risto H. Kurppa, ltmon, Adam Wood, Craig, Larry Hartman,
      dermitrius, eto, David Macdonald, kstaack, Rosalind Mitchell, Dave
      Dombrosky and others
  * kubuntu_02_dist_upgrader.diff change meta-release-development to meta-release
  * Depend on python-kde3 (>= 3.15.2+20060422-2ubuntu4.3)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  2 Apr 2007 14:33:12 +0100

adept (2.1.1ubuntu3.3) edgy-proposed; urgency=low

  * Fix setWorkingDirectory in kubuntu_02_dist_upgrader.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  9 Mar 2007 10:58:17 +0000

adept (2.1.1ubuntu3.2) edgy-proposed; urgency=low

  * Run autotools buildprep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  8 Mar 2007 16:49:14 +0000

adept (2.1.1ubuntu3.1) edgy-proposed; urgency=low

  * Add patches for
    https://blueprints.launchpad.net/ubuntu/+spec/kubuntu-update-manager
   - kubuntu_02_dist_upgrader.diff, alters adept_updater and adept_manager to check for
     new versions of Kubuntu being available and runs a wizard to ask the user if he wants
     to download and run the dist upgrade tool.  If he does the tar of the tool is downloaded
     extracted and run, quitting adept.
     Currently set to the -development version of the distro version file.
   - kubuntu_08_no_unique_application.diff, KUniqueApplication forks so kdesu considers
     it dead and deleted the temporary xauthority file which gave it permission for any
     new X applications is runs to connect to the X server.  Using KApplication stops it
     forking and allows it to run new applications, in this case the upgrade tool.
  * https://launchpad.net/ubuntu/+source/update-manager/+bug/84717

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Feb 2007 13:42:29 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: adept-common
 Section: kde
-Depends: apt-index-watcher, debtags (>= 1.5.5), konsole (>= 3.5.0), ${shlibs:Depends}
+Depends: apt-index-watcher, debtags (>= 1.5.5), konsole (>= 4:3.5.5-0ubuntu3.3), kdelibs4c2a (>= 4:3.5.5-0ubuntu3.2), python-kde3 (>= 3.15.2+20060422-2ubuntu4.3), ${shlibs:Depends}
 Replaces: adept (<< 2.1)
 Conflicts: adept (<< 2.1)
 Architecture: all

## adept 2.1.2

=== debian/changelog ===
adept (2.1.2) unstable; urgency=low

  * Build-depend on libapt-front-dev 0.3.11 so we use new debtags
    reindexing code,
  * drop dependency on apt-index-watcher, obsoleted by above change,
    bump debtags dependency to 1.6.1 which is required.

 -- Peter Rockai <me@mornfall.net>  Wed,  4 Oct 2006 22:19:41 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/kde.mk

DEB_MAKE_CHECK_TARGET := check
DEB_CONFIGURE_EXTRA_FLAGS += --enable-adept

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## adept 2.1.2ubuntu26

=== debian/changelog ===
adept (2.1.2ubuntu26) feisty; urgency=low

  * Add option to run dist upgrade tool for development versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2007 17:55:37 +0100

adept (2.1.2ubuntu25) feisty; urgency=low

  * Change meta-release file from -development to final
  * In updater, only show new release message if one if available
  * Fix to kubuntu_04_supported_label.diff to show expander icon again
    from Michael D. Stemle <manchicken@notsosoft.net>
  * Fix kubuntu_07_show_changelog.diff to use correct URL (source
    package, not binary package name; no epoch in URL)
  * Fix layout in adept/kubuntu_upgrader/errordialogbase.ui and
    adept/kubuntu_upgrader/upgradewizardbase.ui so it doesn't use a
    fixed layout.
  * Remove references to Kubuntu, branding for derivatives

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  6 Apr 2007 10:33:46 +0100

adept (2.1.2ubuntu24) feisty; urgency=low

  * Drop kubuntu_13_remove_view_menu.diff:
    - Rediscussing on the devel channel, it was decided to fix
      the menu instead of removing it
  * Add kubuntu_13_clean_view_menu.diff:
    - Removes dupe "Manage Repos" entry
    - patch from "Michael D. Stemle, Jr.
  * Add kubuntu_14_enables_view_menu_components.diff:
    - Enables disabled components of the menu.
    - patch from Michael D. Stemle, Jr.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 03 Apr 2007 23:48:21 +0100

adept (2.1.2ubuntu23) feisty; urgency=low

  * Add kubuntu_13_remove_view_menu.diff:
    - Remove useless "view" menu from the manager's UI

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 03 Apr 2007 15:42:37 +0100

adept (2.1.2ubuntu22) feisty; urgency=low

  * Sync adept/kubuntu_upgrader/upgradewizard.cpp with edgy-propsed
    - don't kill adept (stops new process connecting to X)
    - set working directory
  * Patch to adept/kubuntu_upgrader/upgradewizard.{h,cpp} from 
    Billy Pollifrone <billy@silverbaseball.com> to delete old copies of
    dist upgrader
  * Fix kubuntu_03_translation_catalogues.diff, change catalogue to libept
  * manager and updater: show a button for version upgrade rather than
    popping up wizard every time

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Mar 2007 16:23:34 +0100

adept (2.1.2ubuntu21) feisty; urgency=low

  * Add kubuntu_11_accessibility_icon.diff fixes blank accessibility
    icon in adept_installer
  * Add kubuntu_12_installer_enable_all.diff enables all categories 
    by default

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Mar 2007 20:09:06 +0000

adept (2.1.2ubuntu20) feisty; urgency=low

  * Update to kubuntu_04_supported_label.diff from 
    "Michael D. Stemle, Jr." <manchicken@notsosoft.net>
    keep supported column when expanded
    closes https://launchpad.net/bugs/82431
  * Update to kubuntu_07_show_changelog.diff from
    "Michael D. Stemle, Jr." <manchicken@notsosoft.net>
    Make only 1 changelog object globally, not 1 per package  

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  5 Mar 2007 15:16:40 +0000

adept (2.1.2ubuntu19) feisty; urgency=low

  * Rebuild for new libapt-front

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Feb 2007 11:46:30 +0000

adept (2.1.2ubuntu18) feisty; urgency=low

  * Rebuild for new libapt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Feb 2007 20:36:13 +0000

adept (2.1.2ubuntu17) feisty; urgency=low

  * Add kubuntu_10_apport.diff, watches for crash reports
    coming from Apport and runs apport-qt when they appear

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Feb 2007 17:12:40 +0000

adept (2.1.2ubuntu16) feisty; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Feb 2007 11:57:22 +0000

adept (2.1.2ubuntu15) feisty; urgency=low

  * Add replaces on adept-common for adept-notifier, closes
    https://bugs.launchpad.net/ubuntu/+source/adept/+bug/82651
  * Make kubuntu upgrader wizard run after update not before
  * Implement uncompressing and running kubuntu upgrade tool
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Feb 2007 12:54:35 +0000

adept (2.1.2ubuntu14) feisty; urgency=low

  * Rebuilt against new apt

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed,  7 Feb 2007 00:29:21 +0100

adept (2.1.2ubuntu13) feisty; urgency=low

  * Add kubuntu_08_no_unique_application.diff don't use a unique application,
    stops it forking which broke xauthority and means debconf can't work in X mode
  * Add kubuntu_09_no_double_kdesu.diff stop using kdesu twice

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Feb 2007 12:38:42 +0000

adept (2.1.2ubuntu12) feisty; urgency=low

  * Fix adept/kubuntu_upgrader/upgradewizard.cpp to not crash when it doesn't find
    any newer release available, patch from 
    "Michael D. Stemle, Jr." <manchicken@notsosoft.net>
  * Add kubuntu_07_show_changelog.diff to show changelog when installing new
    versions, patch from "Michael D. Stemle, Jr." <manchicken@notsosoft.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  5 Feb 2007 13:03:36 +0000

adept (2.1.2ubuntu11) feisty; urgency=low

  * Add kubuntu_06_software_properties.diff, launch
    software-properties as source editor if available
  * Update kubuntu_04_supported_label.diff for tooltips from Michael D. Stemle

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat,  3 Feb 2007 02:31:04 +0000

adept (2.1.2ubuntu10) feisty; urgency=low

  * Add kubuntu_05_adept_batch_finish.diff, adept-batch auto
    close when finished, for kubuntu-feisty-adept-changes and
    kubuntu-feisty-adept-changes
    patch by "Michael D. Stemle, Jr." <manchicken@notsosoft.net>

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 22 Jan 2007 22:05:45 +0100

adept (2.1.2ubuntu9) feisty; urgency=low

  * Fixed debian/adept-notifier.install, removed adept_notifier_warning.png
    already in adept-common, which adept-notifier depends on

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 19 Jan 2007 02:28:32 +0100

adept (2.1.2ubuntu8) feisty; urgency=low



## adept 2.1.2ubuntu26.2

=== debian/changelog ===
adept (2.1.2ubuntu26.2) feisty-proposed; urgency=low

  * Fix dist-upgrade file check
    Closes LP: #153889

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Oct 2007 14:21:32 +0100

adept (2.1.2ubuntu26.1) feisty-proposed; urgency=low

  * Change kubuntu_10_apport.diff to disable Apport notification in
    adept-notifier by default, configurable if the user wishes to 
    re-enable it.  Stable release update:
    https://bugs.launchpad.net/ubuntu/+source/adept/+bug/113508

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 May 2007 18:19:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: adept
 Section: kde
 Priority: optional
-Maintainer: Peter Rockai <me@mornfall.net>
+Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
+XSBC-Original-Maintainer: Peter Rockai <me@mornfall.net>
 Uploaders: Isaac Clerencia <isaac@debian.org>
 Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.3.9ubuntu1), libapt-front-dev (<< 0.4), libtool, kdelibs4-dev (>= 3.5.0)
 Standards-Version: 3.7.2.0
@@ -19,9 +20,9 @@
 
 Package: adept-common
 Section: kde
-Depends: apt-index-watcher, debtags (>= 1.5.5), konsole (>= 4:3.5.5-0ubuntu3.3), kdelibs4c2a (>= 4:3.5.5-0ubuntu3.2), python-kde3 (>= 3.15.2+20060422-2ubuntu4.3), ${shlibs:Depends}
-Replaces: adept (<< 2.1)
-Conflicts: adept (<< 2.1)
+Depends: debtags (>= 1.5.5), konsole (>= 3.5.0), ${shlibs:Depends}
+Replaces: adept (<< 2.1), adept-notifier (<< 2.1.2ubuntu15)
+Conflicts: adept (<< 2.1), adept-notifier (<< 2.1.2ubuntu15)
 Architecture: all
 Description: package manager for KDE -- common files
  Icons and other common files for all adept components.

## adept 2.1.3ubuntu17

=== debian/changelog ===
adept (2.1.3ubuntu17) gutsy; urgency=low

  * Make kubuntu_26_gxx43.diff apply

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Oct 2007 15:16:28 +0100

adept (2.1.3ubuntu16) gutsy; urgency=low

  * Update kubuntu_10_apport.diff to not run Apport (configurable)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Oct 2007 16:42:21 +0100

adept (2.1.3ubuntu15) gutsy; urgency=low

  * Fix build failures with g++-4.3. LP: #138549.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Sep 2007 21:54:01 +0000

adept (2.1.3ubuntu14) gutsy; urgency=low

  * debian/patches/kubuntu_25_write_apport_files.diff:
    - write out apport files 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Aug 2007 19:54:15 +0200

adept (2.1.3ubuntu13) gutsy; urgency=low

  * remove old files from install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Aug 2007 19:39:51 +0100

adept (2.1.3ubuntu12) gutsy; urgency=low

  * Add kubuntu_23_notifier_reboot.diff, adds support for
    reboot notification in adept_notifier
  * Edit kubuntu_02_archive_limit.diff to not install any apt.conf.d files,
    make adept-notifier depend on update-notifier-common instead

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Aug 2007 18:11:43 +0100

adept (2.1.3ubuntu11) gutsy; urgency=low

  * Call software-properties-kde with --no-update
  * Add kubuntu_21_installer_ui_changes.diff, removes menubar and adds
    buttons to edit sources and review changes
  * Add kubuntu_22_installer_rank.diff, adds star rating (from popcon) to adept installer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Aug 2007 11:54:15 +0100

adept (2.1.3ubuntu10) gutsy; urgency=low

  * Add header to diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2007 22:52:53 +0100

adept (2.1.3ubuntu9) gutsy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2007 21:13:29 +0100

adept (2.1.3ubuntu8) gutsy; urgency=low

  * Add kubuntu_20_batch_update.diff, adds an update mode to adept_batch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2007 19:50:35 +0100

adept (2.1.3ubuntu7) gutsy; urgency=low

  * Fix kubuntu_upgrader/upgradewizard.cpp to work for
    --dist-upgrade and --dist-upgrade-devel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Aug 2007 16:58:06 +0100

adept (2.1.3ubuntu6) gutsy; urgency=low

  * Add build-dep on automake1.9, fix fail to build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Aug 2007 11:08:29 +0100

adept (2.1.3ubuntu5) gutsy; urgency=low

  * Add ability to run dist upgrade tool with command line switches
  * Add kubuntu_19_automake10.diff, ability to use automake 1.10

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Aug 2007 20:29:55 +0100

adept (2.1.3ubuntu4) gutsy; urgency=low

  * rebuild against latest libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Aug 2007 22:07:57 +0200

adept (2.1.3ubuntu3) gutsy; urgency=low

  * Add missing build-dep on sharutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jul 2007 18:13:25 +0100

adept (2.1.3ubuntu2) gutsy; urgency=low

  * Add kubuntu_15_main_indicator_icon.diff.uu with
    main indicator icon
  * Add kubuntu_16_installer_details_button.diff
    closes https://bugs.launchpad.net/ubuntu/+source/adept/+bug/119969
    "Adept Installer review changes screen has a useless Details button."
  * Add kubuntu_17_locked_dpkg.diff
    closes https://bugs.launchpad.net/ubuntu/+source/adept/+bug/48627
    'Poor resolution of "database locked" problem'
  * Add kubuntu_18_danish_icon_translation.diff
    closes https://bugs.launchpad.net/ubuntu/+source/adept/+bug/95852
    Incorrect Danish translation
  * Add XS-VCS-Bzr
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jul 2007 14:23:57 +0100

adept (2.1.3ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes:
   - patches in debian/patches
   - files in adept/kubuntu_upgrader
  * Add patches for cleaner merge with Debian
   - kubuntu_01_batch_makefile.diff
   - kubuntu_01_upgradewizard.diff
   - kubuntu_01_upgradewizard_makefile.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jul 2007 09:28:00 +0000

adept (2.1.3) unstable; urgency=low

  * Ported to new apt-front.  Closes: bug#423736.
  * Built with new apt.  Closes: bug#429806.

 -- Enrico Zini <enrico@debian.org>  Wed, 27 Jun 2007 08:42:01 +0200

adept (2.1.2ubuntu28) gutsy; urgency=low

  * Rebuild against libapt-pkg-libc6.6-6-4.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Jul 2007 16:45:48 +0100

adept (2.1.2ubuntu27) gutsy; urgency=low

  * Recompile on new apt and to remove references to libtdb.la

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jun 2007 19:11:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/kde.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_MAKE_CHECK_TARGET := check
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-adept

## adept 2.1.3ubuntu17.1

=== debian/changelog ===
adept (2.1.3ubuntu17.1) gutsy-proposed; urgency=low

  * Fix dist-upgrade file check
    Closes LP: #153889

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Oct 2007 15:54:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 XSBC-Original-Maintainer: Peter Rockai <me@mornfall.net>
-Uploaders: Isaac Clerencia <isaac@debian.org>
-Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.3.9ubuntu1), libapt-front-dev (<< 0.4), libtool, kdelibs4-dev (>= 3.5.0)
+Uploaders: Isaac Clerencia <isaac@debian.org>, Enrico Zini <enrico@debian.org>
+Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.4.0), libapt-front-dev (<< 0.5), libept-dev (>= 0.5.7), libept-dev (<< 0.6), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libwibble-dev (>= 0.1.10), libwibble-dev (<< 0.2), libtool, kdelibs4-dev (>= 3.5.0), sharutils, automake1.9
 Standards-Version: 3.7.2.0
+XS-VCS-Bzr: http://bazaar.launchpad.net/~jr/adept/ubuntu
 
 Package: adept
 Section: kde
@@ -20,9 +21,9 @@
 
 Package: adept-common
 Section: kde
-Depends: debtags (>= 1.5.5), konsole (>= 3.5.0), ${shlibs:Depends}
-Replaces: adept (<< 2.1), adept-notifier (<< 2.1.2ubuntu15)
-Conflicts: adept (<< 2.1), adept-notifier (<< 2.1.2ubuntu15)
+Depends: debtags (>= 1.6.1), konsole (>= 3.5.0), ${shlibs:Depends}
+Replaces: adept (<< 2.1)
+Conflicts: adept (<< 2.1)
 Architecture: all
 Description: package manager for KDE -- common files
  Icons and other common files for all adept components.
@@ -72,7 +73,7 @@
 
 Package: adept-notifier
 Section: kde
-Depends: ${shlibs:Depends}, adept-updater
+Depends: ${shlibs:Depends}, adept-updater, update-notifier-common
 Architecture: any
 Description: system tray notifier of available system updates
  Adept Notifier provides a system tray icon notifying the user of

## adept 2.1.3ubuntu25

=== debian/changelog ===
adept (2.1.3ubuntu25) hardy; urgency=low

  [ Yuriy Kozlov ]
  * Add kubuntu_32_i18n_contextmenu.diff to enable translation of context
    menu items (LP: #204439)

  [ Daniel Hahler ]
  * Update kubuntu_10_apport.diff to pickup Apport crash files by default.
    (LP: #215100)
  * Update kubuntu_03_translation_catalogues.diff to include translations from
    libapt-front (LP: #204439)

 -- Daniel Hahler <ubuntu@thequod.de>  Fri, 18 Apr 2008 20:38:58 +0200

adept (2.1.3ubuntu24) hardy; urgency=low

  * Add kubuntu_31_xdg_autostart_dir.diff to move to xdg autostart dir
    for KDE 4
  * Up build-dep for new libapt-front (and libept)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Mar 2008 14:36:00 +0000

adept (2.1.3ubuntu23) hardy; urgency=low

  * Rebuild for new apt/ept

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2007 14:48:33 +0000

adept (2.1.3ubuntu22) hardy; urgency=low

  * Add kubuntu_30_utf8_fix.diff from Guillaume Martres, fixes "adept
    does not display utf-8 text correctly".  Closes LP: #102753

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2007 18:23:58 +0000

adept (2.1.3ubuntu21) hardy; urgency=low

  * Added kubuntu_29_batch_check_pkgname.diff
    Closes LP: #153710

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 19 Nov 2007 21:04:54 +0100

adept (2.1.3ubuntu20) hardy; urgency=low

  * Fixed debian/adept_batch.install, including missing
    /usr/share/apps/adept_batch/adept_batchui.rc
  * Fixed debian/rules, removing dh_buildinfo, causes ftbfs

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 15 Nov 2007 14:30:37 +0100

adept (2.1.3ubuntu19) hardy; urgency=low

  * Added kubuntu_27_disable_refresh_question_upgrade.diff. Removes the
    first screen askig if refreshing updates is needed for adept_updater
  * kubuntu_28_fix_updater_makefile_for_translation.diff. Fixed
    Makefile as there are i18n strings in app.h too
  * buildprep applied according as patch 
    kubuntu_28_fix_updater_makefile_for_translation.diff touches makefiles

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 14 Nov 2007 16:44:32 +0100

adept (2.1.3ubuntu18) hardy; urgency=low

  * Sync Hardy with gutsy-proposed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 27 Oct 2007 16:35:34 +0100

=== adept/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Peter Rockai <me@mornfall.net>
 Uploaders: Isaac Clerencia <isaac@debian.org>
-Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.3.9), libapt-front-dev (<< 0.4), libtool, kdelibs4-dev (>= 3.5.0)
+Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.3.11), libapt-front-dev (<< 0.4), libtool, kdelibs4-dev (>= 3.5.0)
 Standards-Version: 3.7.2.0
 
 Package: adept
@@ -19,7 +19,7 @@
 
 Package: adept-common
 Section: kde
-Depends: apt-index-watcher, debtags (>= 1.5.5), konsole (>= 3.5.0), ${shlibs:Depends}
+Depends: debtags (>= 1.6.1), konsole (>= 3.5.0), ${shlibs:Depends}
 Replaces: adept (<< 2.1)
 Conflicts: adept (<< 2.1)
 Architecture: all

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 XSBC-Original-Maintainer: Peter Rockai <me@mornfall.net>
 Uploaders: Isaac Clerencia <isaac@debian.org>, Enrico Zini <enrico@debian.org>
-Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.4.0), libapt-front-dev (<< 0.5), libept-dev (>= 0.5.7), libept-dev (<< 0.6), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libwibble-dev (>= 0.1.10), libwibble-dev (<< 0.2), libtool, kdelibs4-dev (>= 3.5.0), sharutils, automake1.9
+Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, libapt-front-dev (>= 0.4.0-0.1ubuntu5), libapt-front-dev (<< 0.5), libept-dev (>= 0.5.7), libept-dev (<< 0.6), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libwibble-dev (>= 0.1.10), libwibble-dev (<< 0.2), libtool, kdelibs4-dev (>= 3.5.0), sharutils, automake1.9
 Standards-Version: 3.7.2.0
 XS-VCS-Bzr: http://bazaar.launchpad.net/~jr/adept/ubuntu

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 
 # Store build information
 common-binary-post-install-arch common-binary-post-install-indep::
-	dh_buildinfo

## adept 2.1.3ubuntu25.1

=== debian/changelog ===
adept (2.1.3ubuntu25.1) hardy-proposed; urgency=low

  * Add kubuntu_33_skip_intrepid.diff, don't offer automatic upgrade to intrepid
    LP: #280295

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Oct 2008 17:58:30 +0100

## adept 2.1.3ubuntu25.2

=== debian/changelog ===
adept (2.1.3ubuntu25.2) hardy-proposed; urgency=low

  * Update kubuntu_33_skip_intrepid.diff for karmic, closes LP: #439706

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Sep 2009 23:55:42 +0100
